digiKam Developer Documentation: Digikam::AIToolsPipelinePackage Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
Digikam::AIToolsPipelinePackage Class Reference

A package class for the AIToolsPipeline, containing image data and processing information.

Inheritance diagram for Digikam::AIToolsPipelinePackage:

## Public Types
enum | AITool { AutoRotate = 0 , Unknown }
| Enum defining the AI tools available in the pipeline. More...

## Public Member Functions
| AIToolsPipelinePackage (AITool aiTool, const DImg &img, ProgressItem *const progress=nullptr)
| Constructor with AITool, DImg and optional ProgressItem.
| AIToolsPipelinePackage (AITool aiTool, const ItemInfo &info, ProgressItem *const progress=nullptr)
| Constructor with AITool, ItemInfo and optional ProgressItem.
| ~AIToolsPipelinePackage () override
| Destructor.

## Public Attributes
DImg | image
ItemInfo | info
| Public properties.
ProgressItem * | progress
MetaEngineRotation::TransformationAction | rotationTransformation
AITool | tool
Public Attributes inherited from Digikam::MLPipelinePackageFoundation
quint64 | size = 0
QIcon | thumbnailIcon

## Member Enumeration Documentation

## ◆ AITool

enum Digikam::AIToolsPipelinePackage::AITool

Enumerator
AutoRotate | Auto rotation tool.
Unknown | Unknown or undefined tool. Note add more tools here in the future

## Constructor & Destructor Documentation

## ◆ AIToolsPipelinePackage() [1/2]

Digikam::AIToolsPipelinePackage::AIToolsPipelinePackage | ( | AITool | aiTool,
|  | const ItemInfo & | info,
|  | ProgressItem *const | progress = `nullptr`
| ) |  |
| explicit

Parameters

  aiTool | The AI tool to use for processing
  info | Information about the item to process
  progress | Optional progress item for tracking progress (nullptr by default)

## ◆ AIToolsPipelinePackage() [2/2]

Digikam::AIToolsPipelinePackage::AIToolsPipelinePackage | ( | AITool | aiTool,
|  | const DImg & | img,
|  | ProgressItem *const | progress = `nullptr`
| ) |  |
| explicit

Parameters

  aiTool | The AI tool to use for processing
  img | The image to process
  progress | Optional progress item for tracking progress (nullptr by default)